FAILED_TRANSACTION
Supported Network
Network | Supporting |
|---|---|
Ethereum Mainnet | ✅ |
Ethereum Testnet (sepolia) | ✅ |
Ethereum Testnet (holesky) | ✅ |
Base Mainnet | ✅ |
Base Testnet (sepolia) | ✅ |
Polygon Mainnet | ✅ |
Polygon Testnet (amoy) | ✅ |
Arbitrum Mainnet | ✅ |
Arbitrum Testnet (sepolia) | ✅ |
Optimism Mainnet | ✅ |
Optimism Testnet (sepolia) | ✅ |
Kaia Mainnet | ✅ |
Kaia Testnet (kairos) | ✅ |
Aptos Mainnet | ❌ |
Aptos Testnet | ❌ |
Webhook Creation Request Example
When setting the eventType value to the FAILED_TRANSACTION type, the available condition object fields are as follows.
Key | Type | Required | Description | Example Value |
|---|---|---|---|---|
addresses | Array of String | true | A list of sender addresses for the transactions to monitor. You will receive an alert when a transaction occurs where any one of the addresses in the array is included in the from field. | ["0x80bad9274698b29ff66ad0b564c622600571801f", "0x56Eddb7aa87536c09CCc2793473599fD21A8b17F"] |
Request Example
curl --location 'https://web3.nodit.io/v1/ethereum/mainnet/webhooks' \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: ••••••' \
--data '{
"eventType": "FAILED_TRANSACTION",
"description": "{WEBHOOK_DESCRIPTION}",
"notification": {
"webhookUrl": "{WEBHOOK_LISTENER_ENDPOINT}"
},
"isInstant": false,
"condition": {
"addresses": [
"0x80bad9274698b29ff66ad0b564c622600571801f"
]
}
}'
Response Example
{
"subscriptionId": "4975",
"sequenceNumber": "2",
"description": "{WEBHOOK_DESCRIPTION}",
"protocol": "ethereum",
"network": "mainnet",
"subscriptionType": "WEBHOOK",
"notification": {
"webhookUrl": "{WEBHOOK_LISTENER_ENDPOINT}"
},
"eventType": "FAILED_TRANSACTION",
"event": {
"targetAddress": "0x80bad9274698b29ff66ad0b564c622600571801f", // ⚠️ This field will be deprecated soon
"targetAddresses": [
"0x80bad9274698b29ff66ad0b564c622600571801f",
"0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"
],
"messages": [
{
"block_hash": "0xb0ce231f5309b5a344dd82a3f93589a2e93af6f581ca593888e92bf3e31f4df8",
"block_number": 21492093,
"block_timestamp": 1735281935,
"from_address": "0x80bad9274698b29ff66ad0b564c622600571801f",
"gas": 39616,
"gas_price": 4302402300,
"hash": "0x90b2f514a100e353d3b0a2925f259e8e51c60c8c597d7efd5ec29704ce935a9d",
"input": "0x2e1a7d4d0000000000000000000000000000000000000000000000000027147114878000",
"max_fee_per_gas": 5811335067,
"max_priority_fee_per_gas": 899405285,
"nonce": 38,
"to_address": "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
"transaction_index": 88,
"transaction_type": 2,
"value": "0",
"access_list": [],
"receipt_contract_address": null,
"receipt_cumulative_gas_used": 8324968,
"receipt_effective_gas_price": 4302402300,
"receipt_gas_used": 23731,
"receipt_root": null,
"receipt_status": 0,
"type": "transaction"
}
]
},
"createdAt": "2024-12-27T06:47:35.992Z"
}